#
# spec file for package syntax-highlighting
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
%define lname   libKF5SyntaxHighlighting5
%define _tar_path 5.32
Name:           syntax-highlighting
Version:        5.32.0
Release:        1.18
Summary:        Syntax highlighting engine and library
License:        LGPL-2.1+ and GPL-2.0 and GPL-2.0+ and GPL-3.0 and MIT and BSD-3-Clause and Artistic-1.0
Group:          System/GUI/KDE
Url:            http://www.kde.org
Source:         http://download.kde.org/stable/frameworks/%{_tar_path}/%{name}-%{version}.tar.xz
Source1:        baselibs.conf
BuildRequires:  cmake >= 3.0
BuildRequires:  extra-cmake-modules >= %{_tar_path}
BuildRequires:  fdupes
BuildRequires:  kf5-filesystem
%if %{with lang}
BuildRequires:  cmake(Qt5LinguistTools) >= 5.6.0
%endif
BuildRequires:  cmake(Qt5Core) >= 5.6.0
BuildRequires:  cmake(Qt5Gui) >= 5.6.0
BuildRequires:  cmake(Qt5Network) >= 5.6.0
BuildRequires:  cmake(Qt5Test) >= 5.6.0
BuildRequires:  cmake(Qt5Widgets) >= 5.6.0
BuildRequires:  cmake(Qt5XmlPatterns) >= 5.6.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is a tier1/functional version of the Kate syntax highlighting engine.
It's not tied to a particular output format or editor engine.

%package -n %{lname}
Summary:        Syntax highlighting engine and library
Group:          System/GUI/KDE
Recommends:     %{name} = %{version}
%if %{with lang}
Recommends:     %{lname}-lang = %{version}
%endif

%description -n %{lname}
This is a tier1/functional version of the Kate syntax highlighting engine.
It's not tied to a particular output format or editor engine.

%package devel
Summary:        Syntax highlighting engine and library
Group:          Development/Libraries/KDE
Requires:       %{lname} = %{version}
Requires:       extra-cmake-modules
Requires:       cmake(Qt5Core) >= 5.6.0
Requires:       cmake(Qt5Gui) >= 5.6.0

%description devel
This is a tier1/functional version of the Kate syntax highlighting engine.
It's not tied to a particular output format or editor engine.

%lang_package -n %lname
%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %fdupes %{buildroot}

%if %{with lang}
%find_lang syntaxhighlighting5 --with-qt --without-mo
%endif

%post -n %{lname} -p /sbin/ldconfig

%postun -n %{lname} -p /sbin/ldconfig

%if %{with lang}
%files -n %lname-lang -f syntaxhighlighting5.lang
%endif

%files
%defattr(-,root,root)
%doc COPYING* README*
%config %{_kf5_configdir}/org_kde_ksyntaxhighlighting.categories
%{_kf5_bindir}/kate-syntax-highlighter

%files -n %{lname}
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_libdir}/libKF5SyntaxHighlighting.so.*

%files devel
%defattr(-,root,root)
%{_kf5_libdir}/libKF5SyntaxHighlighting.so
%{_kf5_libdir}/cmake/KF5SyntaxHighlighting/
%{_kf5_mkspecsdir}/qt_KSyntaxHighlighting.pri
%{_kf5_includedir}/

%changelog
* Sun Mar 19 2017 lbeltrame@kde.org
- Update to 5.32.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/kde-frameworks-5.32.0.php
- Changes since 5.31.0:
  * Commit translations from l10n-kf5
  * Upgrade ECM and KF5 version requirements for 5.32.0 release.
  * Fix autotest
  * Add more keyword. Disable spellchecking for keywords
  * Fix typo
  * Add more keyword
  * Add *.RHTML file extension to Ruby on Rails highlighting
  * Update SCSS and CSS syntax highlight
  * less highlighting: Fix single line comments starting new regions
  * Upgrade KF5 version to 5.32.0.
  * LaTeX highlighting: fix alignat environment
* Thu Feb  9 2017 hrvoje.senjan@gmail.com
- Update to 5.31.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.31.0.php
* Mon Jan  9 2017 hrvoje.senjan@gmail.com
- Update to 5.30.0
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.30.0.php
* Sun Dec  4 2016 hrvoje.senjan@gmail.com
- Update to 5.29.0
  * Normalize XML license attribute values
  * Sync syntax definitions from ktexteditor
  * Fix folding region merging
  * For more details please see:
    https://www.kde.org/announcements/kde-frameworks-5.29.0.php
* Wed Nov 30 2016 lbeltrame@kde.org
- Adjust licenses as pointed out by legal review
* Mon Sep 19 2016 lbeltrame@kde.org
- Initial version of the package.
